NX Open C++ Reference Guide
|
Represents a @link SketchQuickTrimBuilder SketchQuickTrimBuilder@endlink <br> To create a new instance of this class, use @link SketchCollection::CreateQuickTrimBuilder SketchCollection::CreateQuickTrimBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::SelectCurveList * | BoundaryCurves () |
Returns the boundary curves | |
NXOpen::SelectNXObjectList * | BoundaryObjects () |
Returns the boundary objects Created in NX9.0.0. | |
bool | ExtendBound () |
Returns the flag to control the ability to trim to extension of the boundary Created in NX6.0.0. | |
void | SetExtendBound (bool extendBound) |
Sets the flag to control the ability to trim to extension of the boundary Created in NX6.0.0. | |
NXOpen::SelectCurveList * | TrimmedCurves () |
Returns the trimmed curves Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link SketchQuickTrimBuilder SketchQuickTrimBuilder@endlink <br> To create a new instance of this class, use @link SketchCollection::CreateQuickTrimBuilder SketchCollection::CreateQuickTrimBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ExtendBound |
True |
Created in NX5.0.0.
NXOpen::SelectCurveList* NXOpen::SketchQuickTrimBuilder::BoundaryCurves | ( | ) |
Returns the boundary curves
Use NXOpen::SketchQuickTrimBuilder::BoundaryObjects instead.
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::SketchQuickTrimBuilder::BoundaryObjects | ( | ) |
Returns the boundary objects
Created in NX9.0.0.
License requirements : None
bool NXOpen::SketchQuickTrimBuilder::ExtendBound | ( | ) |
Returns the flag to control the ability to trim to extension of the boundary
Created in NX6.0.0.
License requirements : None
void NXOpen::SketchQuickTrimBuilder::SetExtendBound | ( | bool | extendBound | ) |
Sets the flag to control the ability to trim to extension of the boundary
Created in NX6.0.0.
License requirements : None
extendBound | extendbound |
NXOpen::SelectCurveList* NXOpen::SketchQuickTrimBuilder::TrimmedCurves | ( | ) |
Returns the trimmed curves
Created in NX5.0.0.
License requirements : None